--

with Futures;

generic

   with package My_Futures is new Futures (<>);

package Default_Reusable_Futures is

   protected type Default_Future_Type is new My_Futures.Reusable_Future_Type with
      overriding entry Get (D : out My_Futures.Data_Type);
      overriding entry Set (D : in My_Futures.Data_Type);

      overriding entry Cancel;
      overriding entry Allocate;

   private
      Data : My_Futures.Data_Type;

      Allocated : Boolean := False;
      Valid     : Boolean := False;

   end Default_Future_Type;

end Default_Reusable_Futures;
