with System;

package Dout.Data_Object is

    --  Usage:
    --
    --  Some_Object : Some_Object_Type;
    --
    --  Dump_Binary (From_Address => Some_Object'Address; Count => Some_Object'Size / 8)

    procedure Dump (From_Address : System.Address; Count : Positive);
    --
    --  Count in <<< Bytes >>>

    procedure Dump_To_File (File_Name     : String;
			    With_Info     : String;
			    From_Address  : System.Address := System.Null_Address;
			    Count_In_Bits : Natural        := 0);
    --
    --  Count in <<< Bits >>>

    function Img (Nb : Integer) return String;
    --
    --  Image of Nb, no blanks

end Dout.Data_Object;
