--

package body Periodic_Scheduler.Client is

   procedure Wait_Until_Next_Schedule is

      Task_Info : Task_Information_Type := Periodic_Task_Attributes.Value;
      Next_Time : Real_Time.Time;

      use type Real_Time.Time;
   begin
      Next_Time := Task_Info.Period + Task_Info.Next_Schedule_Time;

      Periodic_Task_Attributes.Set_Value (Val => (Period => Task_Info.Period, Next_Schedule_Time => Next_Time));
      --
      -- Current task

   end Wait_Until_Next_Schedule;

end Periodic_Scheduler.Client;
