--

generic
   type Element_Type is private;

   type Inner_Index_Type is (<>);
   type Outer_Index_Type is (<>);

package Segmented_Matrices is

   type Segment_Type is array (Inner_Index_Type, Inner_Index_Type) of Element_Type;

   type Segmented_Matrix_Type is array (Outer_Index_Type, Outer_Index_Type) of Segment_Type;

   pragma Volatile_Components (Segmented_Matrix_Type);

   -- -- --

   type Segment_Record_Type is record
      M : access Segmented_Matrix_Type := null;
      I : Outer_Index_Type             := Outer_Index_Type'First;
      K : Outer_Index_Type             := Outer_Index_Type'First;
   end record;

end Segmented_Matrices;
