--

with Ada.Text_IO;

with Coloured_Images;

procedure Test_Coloured_Images is
   use Ada;
   use Coloured_Images;

   My_Picture : access Sci.Segmented_Matrix_Type := new Sci.Segmented_Matrix_Type;
begin
   Text_IO.Put_Line ("## Test_Coloured_Images ...");

   for Ix in Outer_Index_Type loop
      for Kx in Outer_Index_Type loop

         Fill_With_Random_Colour (Seg => (M => My_Picture, I => Ix, K => Kx));

      end loop;
   end loop;

   Text_IO.Put_Line ("## Test_Coloured_Images.");
   Text_IO.Put_Line ("## Wait for CR ...");
   Text_IO.Skip_Line;

end Test_Coloured_Images;
